| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cv::reg::Mapper Class Referenceabstract
Image Registration

Base class for modelling an algorithm for calculating a map. More...

`#include <opencv2/reg/mapper.hpp>`

Collaboration diagram for cv::reg::Mapper:

## Public Member Functions
virtual | ~Mapper (void)
virtual cv::Ptr< Map > | calculate (InputArray img1, InputArray img2, cv::Ptr< Map > init=cv::Ptr< Map >()) const =0
virtual cv::Ptr< Map > | getMap () const =0

## Protected Member Functions
void | gradient (const cv::Mat &img1, const cv::Mat &img2, cv::Mat &Ix, cv::Mat &Iy, cv::Mat &It) const
void | grid (const Mat &img, Mat &grid_r, Mat &grid_c) const
cv::Mat | sqr (const cv::Mat &mat1) const

## Detailed Description

Base class for modelling an algorithm for calculating a map.

The class is only used to define the common interface for any possible mapping algorithm.

## Constructor & Destructor Documentation

## ◆ ~Mapper()

virtual cv::reg::Mapper::~Mapper | ( | void |  | ) |
| inline virtual

## Member Function Documentation

## ◆ calculate()

virtual cv::Ptr< Map > cv::reg::Mapper::calculate | ( | InputArray | img1,
|  | InputArray | img2,
|  | cv::Ptr< Map > | init = cv::Ptr< Map >() ) const
| pure virtual

Python:
| cv.reg.Mapper.calculate( | img1, img2[, init] | ) -> | retval

Implemented in cv::reg::MapperGradAffine, cv::reg::MapperGradEuclid, cv::reg::MapperGradProj, cv::reg::MapperGradShift, cv::reg::MapperGradSimilar, and cv::reg::MapperPyramid.

## ◆ getMap()

virtual cv::Ptr< Map > cv::reg::Mapper::getMap | ( |  | ) | const
| pure virtual

Python:
| cv.reg.Mapper.getMap( |  | ) -> | retval

Implemented in cv::reg::MapperGradAffine, cv::reg::MapperGradEuclid, cv::reg::MapperGradProj, cv::reg::MapperGradShift, cv::reg::MapperGradSimilar, and cv::reg::MapperPyramid.

## ◆ gradient()

void cv::reg::Mapper::gradient | ( | const cv::Mat & | img1,
|  | const cv::Mat & | img2,
|  | cv::Mat & | Ix,
|  | cv::Mat & | Iy,
|  | cv::Mat & | It ) const
| protected

## ◆ grid()

void cv::reg::Mapper::grid | ( | const Mat & | img,
|  | Mat & | grid_r,
|  | Mat & | grid_c ) const
| protected

## ◆ sqr()

cv::Mat cv::reg::Mapper::sqr | ( | const cv::Mat & | mat1 | ) | const
| inline protected

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/reg/mapper.hpp